package com.zebrunner.reporting.service.exception;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum BusinessConstraintError implements com.zebrunner.common.eh.error.BusinessConstraintError {

    S3_TEMPORARY_CREDENTIALS_USAGE_NOT_POSSIBLE(2300),
    INTEGRATION_CAN_NOT_BE_CREATED(2301),
    INTEGRATION_USAGE_NOT_POSSIBLE(2302),
    DASHBOARD_CAN_NOT_BE_UPDATED(2303),
    CANNOT_PERSIST_ATTRIBUTE_TO_SYSTEM_DASHBOARD(2304),
    KNOWN_ISSUE_CANNOT_BE_ATTACHED_TO_TEST_STATUS(2305),
    WIDGET_WITH_SUCH_NAME_ALREADY_EXISTS(2306),
    UNABLE_TO_CREATE_USER_WITH_USERNAME(2307),
    LAUNCHER_PRESET_IN_USE(2309),
    SETTINGS_SHOULD_TO_BELONG_TO_ONE_INTEGRATION(2311),
    DASHBOARD_WITH_SUCH_TITLE_ALREADY_EXISTS(2312),
    DASHBOARD_ATTRIBUTE_ALREADY_IN_USE(2313),
    TOKEN_REFRESH_IS_NOT_SUPPORTED_FOR_INTEGRATION_OF_TYPE(2314),
    WIDGET_TEMPLATES_MUST_BE_THE_SAME(2315),
    WIDGET_ON_DASHBOARD_ALREADY_EXISTS(2316),
    SETTING_WITH_NAME_KEY_CANNOT_BE_UPDATE(2317),
    TEST_SESSION_WITH_SESSION_ID_ALREADY_EXISTS(2318),
    ENDED_AT_MUST_BE_AFTER_STARTED_AT(2319),
    TEST_RUN_FILTER_IS_ALREADY_PRESENT(2320),
    FAILED_TEST_SESSION_CANNOT_BE_UPDATED(2321),
    ISSUE_NOT_LINKED_TO_TEST(2322),
    JENKINS_CONFIG_ALREADY_EXISTS(2323),
    ISSUE_CANNOT_BE_ASSIGNED_TO_TEST_WITH_EMPTY_REASON(2324),
    UNKNOWN_CI_ENVIRONMENT(2325),
    TEST_RUN_WITH_STATUS_CANNOT_BE_REVIEWED(2326),
    DEFAULT_DASHBOARD_CAN_NOT_BE_DUPLICATED(2327);

    private final int code;

}
